Bug 262596 - Crash when finding faces (Digikam::ImageModel::removeRowPairs)
Summary: Crash when finding faces (Digikam::ImageModel::removeRowPairs)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash with 1 vote (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-08 22:46 UTC by unapiedra
Modified: 2014-06-24 13:30 UTC (History)
32 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
face detection in 2.0.0-beta4 (446.47 KB, image/png)
2011-03-22 12:23 UTC, caulier.gilles
Details
New crash information added by DrKonqi (22.01 KB, text/plain)
2011-06-27 19:08 UTC, emiel
Details
New crash information added by DrKonqi (29.32 KB, text/plain)
2011-07-12 13:14 UTC, Richard Mortimer
Details
New crash information added by DrKonqi (38.31 KB, text/plain)
2011-07-20 13:45 UTC, Joshua Hopp
Details
New crash information added by DrKonqi (22.18 KB, text/plain)
2011-08-01 12:47 UTC, Hatl
Details
New crash information added by DrKonqi (19.37 KB, text/plain)
2011-08-05 09:19 UTC, Lars Karlsson
Details
New crash information added by DrKonqi (26.00 KB, text/plain)
2011-08-09 17:59 UTC, wookashs
Details
New crash information added by DrKonqi (31.90 KB, text/plain)
2011-11-01 21:34 UTC, Jaime Torres
Details
New crash information added by DrKonqi (21.25 KB, text/plain)
2011-11-04 18:29 UTC, toto
Details
New crash information added by DrKonqi (26.32 KB, text/plain)
2011-12-17 09:28 UTC, Prasad Murthy
Details
Crash Information from digikam 2.5.0 (24.97 KB, application/octet-stream)
2012-01-06 10:02 UTC, Daniel Schaal
Details
New crash information added by DrKonqi (35.07 KB, text/plain)
2012-01-31 00:01 UTC, John Stumbles
Details
New crash information added by DrKonqi (20.46 KB, text/plain)
2012-02-18 16:57 UTC, Michael
Details
New crash information added by DrKonqi (17.91 KB, text/plain)
2012-05-23 01:57 UTC, Pkoper
Details
New crash information added by DrKonqi (39.41 KB, text/plain)
2012-06-16 08:02 UTC, jm.bourgit
Details
New crash information added by DrKonqi (11.52 KB, text/plain)
2013-08-15 06:31 UTC, Dima
Details
New crash information added by DrKonqi (13.42 KB, text/plain)
2013-12-23 17:06 UTC, Christian Gottschall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description unapiedra 2011-01-08 22:46:00 UTC
Application: digikam (2.0.0-beta1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-24-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
Built Digikam from sources.
Run. Went to "People" and clicked "Scan for Faces" (or what that button is called). I did this once and canceled it after a while. Then I did it again. In the background (well, the main window actually) I started adding tags for the recognized people. I switched back to the other window.

Then it crashed.

Please contact me if further information are needed.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb654a890 (LWP 17436))]

Thread 14 (Thread 0xb43c2b70 (LWP 17563)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x006555cb in read () at ../sysdeps/unix/syscall-template.S:82
#2  0x02820d3a in read (this=0xb2d44d78, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., len=102400) at /usr/include/bits/unistd.h:45
#3  qt_safe_read (this=0xb2d44d78, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., len=102400) at ../../include/QtCore/private/../../../src/corelib/kernel/qcore_unix_p.h:253
#4  QFSFileEnginePrivate::readFdFh (this=0xb2d44d78, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., len=102400) at io/qfsfileengine.cpp:703
#5  0x02829eca in QFSFileEnginePrivate::nativeRead (this=0xb2d44d78, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., len=102400) at io/qfsfileengine_unix.cpp:382
#6  0x02820124 in QFSFileEngine::read (this=0x922bfc90, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., maxlen=102400) at io/qfsfileengine.cpp:657
#7  0x027dd5c9 in QFile::readData (this=0xb43c19c4, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., len=102400) at io/qfile.cpp:1542
#8  0x027e4701 in QIODevice::read (this=0xb43c19c4, data=0x916a5588 "\336\356\372\b\244\022\202\320\253\r\353\"w\343\037\230\256\237U\361\347\207\374?\246Zi\360[]E}\022\315\344\064\361nV\301\347\236\203\036\225\317,\302\021\223\205H\312=\364\271\244!^\262\265\030\064\276\343\022\357B\263\212\355b\264\216[t\212\060e\215\223d,_\373\247\216\235\rrr\374Y\262\275\272KmB\366!3\252*,0\342L+s\320~\035)\307\061\215\364O\227\275\213\226\a\032\225\344\276\366u\177a[B\032\064\003\203\317$\344\n\315\263\326\344\236i1\277\227\314[\227\244L8\310\070\347\333\025\351Q\237\266\207\064\035\316Y\302\254\023\273\324\324\216]8\315\033_\332\213\246\221Hd\316\034\237o\245Gp\304\b\345\036"..., maxSize=102400) at io/qiodevice.cpp:855
#9  0x0157c839 in Digikam::DImgLoader::uniqueHashV2 (filePath=..., img=0xb43c1c28) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/dimg/loaders/dimgloader.cpp:310
#10 0x01558757 in Digikam::DImg::getUniqueHashV2 (this=0xb43c1c28) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/dimg/dimg.cpp:2637
#11 0x00c25d24 in Digikam::ImageScanner::uniqueHash (this=0xb43c1c18) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/imagescanner.cpp:1095
#12 0x00c26052 in Digikam::ImageScanner::prepareImage (this=0xb43c1c18) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/imagescanner.cpp:225
#13 0x00c2618f in Digikam::ImageScanner::addImage (this=0xb43c1c18, albumId=0) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/imagescanner.cpp:230
#14 0x00c2d121 in Digikam::ImageScanner::newFile (this=0xb43c1c18, albumId=0) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/imagescanner.cpp:102
#15 0x00bcba45 in Digikam::CollectionScanner::scanNewFile (this=0xb43c215c, info=..., albumId=0) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:898
#16 0x00bcd6bb in Digikam::CollectionScanner::scanAlbum (this=0xb43c215c, location=..., album=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:754
#17 0x00bcd5d2 in Digikam::CollectionScanner::scanAlbum (this=0xb43c215c, location=..., album=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:777
#18 0x00bcd5d2 in Digikam::CollectionScanner::scanAlbum (this=0xb43c215c, location=..., album=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:777
#19 0x00bcdf47 in Digikam::CollectionScanner::scanAlbumRoot (this=0xb43c215c, location=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:537
#20 0x00bce9bb in Digikam::CollectionScanner::partialScan (this=0xb43c215c, albumRoot=..., album=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:398
#21 0x00bcedc4 in Digikam::CollectionScanner::partialScan (this=0xb43c215c, filePath=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/collectionscanner.cpp:347
#22 0x082a906b in Digikam::ScanController::run (this=0xa0eb410) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/digikam/scancontroller.cpp:640
#23 0x02751df9 in QThreadPrivate::start (arg=0xa0eb410) at thread/qthread_unix.cpp:266
#24 0x0064dcc9 in start_thread (arg=0xb43c2b70) at pthread_create.c:304
#25 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0xb3bc1b70 (LWP 17575)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x006524dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x027529c7 in wait (this=0xb3098fe8, mutex=0xb3098fe4, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#3  QWaitCondition::wait (this=0xb3098fe8, mutex=0xb3098fe4, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#4  0x0178afca in Digikam::ParkingThread::run (this=0xb3098fd8) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/threadmanager.cpp:119
#5  0x02751df9 in QThreadPrivate::start (arg=0xb3098fd8) at thread/qthread_unix.cpp:266
#6  0x0064dcc9 in start_thread (arg=0xb3bc1b70) at pthread_create.c:304
#7  0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xb19b9b70 (LWP 17606)):
#0  0x037bbe36 in clock_gettime (clock_id=58458100, tp=0xb19b8e10) at ../sysdeps/unix/clock_gettime.c:100
#1  0x027ad50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x028846e5 in QTimerInfoList::updateCurrentTime (this=0xc6100f4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0288472a in QTimerInfoList::timerWait (this=0xc6100f4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x028827a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb19b8f3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0288283d in timerSourcePrepare (source=0x0, timeout=0x37bfff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x05522e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x05523279 in ?? () from /lib/libglib-2.0.so.0
#9  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0288259f in QEventDispatcherGlib::processEvents (this=0xc611910, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x02852609 in QEventLoop::processEvents (this=0xb19b9110, flags=) at kernel/qeventloop.cpp:149
#12 0x02852a8a in QEventLoop::exec (this=0xb19b9110, flags=...) at kernel/qeventloop.cpp:201
#13 0x0274eb7e in QThread::exec (this=0xc611498) at thread/qthread.cpp:490
#14 0x0283135b in QInotifyFileSystemWatcherEngine::run (this=0xc611498) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x02751df9 in QThreadPrivate::start (arg=0xc611498) at thread/qthread_unix.cpp:266
#16 0x0064dcc9 in start_thread (arg=0xb19b9b70) at pthread_create.c:304
#17 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xab243b70 (LWP 17607)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x00652884 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0x06262b3f in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 10 (Thread 0xaa637b70 (LWP 17608)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x02a51371 in select () at ../sysdeps/unix/syscall-template.S:82
#2  0x0628ef1c in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 9 (Thread 0xa9e36b70 (LWP 17609)):
#0  __pthread_mutex_lock (mutex=0xcbd368c) at pthread_mutex_lock.c:125
#1  0x05522ea3 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x05523279 in ?? () from /lib/libglib-2.0.so.0
#3  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0288259f in QEventDispatcherGlib::processEvents (this=0xcbd3608, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x02852609 in QEventLoop::processEvents (this=0xa9e36100, flags=) at kernel/qeventloop.cpp:149
#6  0x02852a8a in QEventLoop::exec (this=0xa9e36100, flags=...) at kernel/qeventloop.cpp:201
#7  0x0274eb7e in QThread::exec (this=0xcbd3210) at thread/qthread.cpp:490
#8  0x06e6681a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x02751df9 in QThreadPrivate::start (arg=0xcbd3210) at thread/qthread_unix.cpp:266
#10 0x0064dcc9 in start_thread (arg=0xa9e36b70) at pthread_create.c:304
#11 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xa9635b70 (LWP 17610)):
#0  0x006503c0 in __pthread_mutex_lock (mutex=0xb322f960) at pthread_mutex_lock.c:50
#1  0x0912ab31 in pa_mutex_lock () from /usr/lib/libpulsecommon-0.9.21.so
#2  0x0098d56c in ?? () from /usr/lib/libpulse.so.0
#3  0x00979ab9 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x0097ba73 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x0097bb44 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x0098d303 in ?? () from /usr/lib/libpulse.so.0
#7  0x0912bbd5 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x0064dcc9 in start_thread (arg=0xa9635b70) at pthread_create.c:304
#9  0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa4cffb70 (LWP 17611)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x006524dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x06274b54 in ?? () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 6 (Thread 0xa14f8b70 (LWP 17850)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x02a5172f in fdatasync () at ../sysdeps/unix/syscall-template.S:82
#2  0x06f573a8 in ?? () from /usr/lib/libsqlite3.so.0
#3  0x06f4800b in ?? () from /usr/lib/libsqlite3.so.0
#4  0x06f7e82c in ?? () from /usr/lib/libsqlite3.so.0
#5  0x06f7f012 in ?? () from /usr/lib/libsqlite3.so.0
#6  0x06fb2c8f in ?? () from /usr/lib/libsqlite3.so.0
#7  0x06f9f068 in sqlite3_step () from /usr/lib/libsqlite3.so.0
#8  0x04ed52d1 in QSQLiteResultPrivate::fetchNext (this=0x9e28478, values=..., idx=0, initialFetch=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:209
#9  0x04ed63f2 in QSQLiteResult::exec (this=0xc5116c8) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:410
#10 0x00a80b0c in QSqlQuery::exec (this=0xa14f7b88) at kernel/qsqlquery.cpp:942
#11 0x01714e62 in Digikam::DatabaseCoreBackend::exec (this=0x9ed6020, query=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/databasecorebackend.cpp:1406
#12 0x017172d3 in Digikam::DatabaseCoreBackend::execQuery (this=0x9ed6020, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/databasecorebackend.cpp:1078
#13 0x0171733e in Digikam::DatabaseCoreBackend::execQuery (this=0x9ed6020, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/databasecorebackend.cpp:1023
#14 0x017173c5 in Digikam::DatabaseCoreBackend::execSql (this=0x9ed6020, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0xa14f7c50) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/databasecorebackend.cpp:922
#15 0x0172260a in Digikam::ThumbnailDB::insertThumbnail (this=0xa0d8190, info=..., lastInsertId=0xa14f7d2c) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/database/thumbnaildb.cpp:262
#16 0x0175cd81 in Digikam::ThumbnailCreator::storeInDatabase (this=0xcea2208, info=..., image=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threadimageio/thumbnailcreator.cpp:755
#17 0x017601b6 in Digikam::ThumbnailCreator::load (this=0xcea2208, path=..., rect=..., pregenerate=false) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threadimageio/thumbnailcreator.cpp:264
#18 0x0176049b in Digikam::ThumbnailCreator::load (this=0xcea2208, path=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threadimageio/thumbnailcreator.cpp:196
#19 0x0176b1e5 in Digikam::ThumbnailLoadingTask::execute (this=0xd5c40f8) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threadimageio/thumbnailtask.cpp:169
#20 0x0173f3e3 in Digikam::LoadSaveThread::run (this=0xce7e810) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threadimageio/loadsavethread.cpp:124
#21 0x0178ccfe in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xce96d00) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/dynamicthread.cpp:324
#22 0x02746523 in QThreadPoolThread::run (this=0xbd94458) at concurrent/qthreadpool.cpp:106
#23 0x02751df9 in QThreadPrivate::start (arg=0xbd94458) at thread/qthread_unix.cpp:266
#24 0x0064dcc9 in start_thread (arg=0xa14f8b70) at pthread_create.c:304
#25 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0x9caf7b70 (LWP 18000)):
#0  0x00ddc416 in __kernel_vsyscall ()
#1  0x02a49df6 in __poll (fds=0x2ae0ff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x05530a1b in g_poll () from /lib/libglib-2.0.so.0
#3  0x0552343c in ?? () from /lib/libglib-2.0.so.0
#4  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0288259f in QEventDispatcherGlib::processEvents (this=0xcc64960, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#6  0x02852609 in QEventLoop::processEvents (this=0x9caf7120, flags=) at kernel/qeventloop.cpp:149
#7  0x02852a8a in QEventLoop::exec (this=0x9caf7120, flags=...) at kernel/qeventloop.cpp:201
#8  0x0178a65c in Digikam::WorkerObjectRunnable::run (this=0xab07750) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/threadmanager.cpp:190
#9  0x02746523 in QThreadPoolThread::run (this=0xb535e70) at concurrent/qthreadpool.cpp:106
#10 0x02751df9 in QThreadPrivate::start (arg=0xb535e70) at thread/qthread_unix.cpp:266
#11 0x0064dcc9 in start_thread (arg=0x9caf7b70) at pthread_create.c:304
#12 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa24fab70 (LWP 18002)):
#0  0x037bbe36 in clock_gettime (clock_id=58458100, tp=0xa24f9e10) at ../sysdeps/unix/clock_gettime.c:100
#1  0x027ad50b in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0x028846e5 in QTimerInfoList::updateCurrentTime (this=0xb6212a4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x0288472a in QTimerInfoList::timerWait (this=0xb6212a4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x028827a8 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa24f9f3c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x0288283d in timerSourcePrepare (source=0x0, timeout=0x37bfff4) at kernel/qeventdispatcher_glib.cpp:169
#7  0x05522e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#8  0x05523279 in ?? () from /lib/libglib-2.0.so.0
#9  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x0288259f in QEventDispatcherGlib::processEvents (this=0xd0e92a0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0x02852609 in QEventLoop::processEvents (this=0xa24fa120, flags=) at kernel/qeventloop.cpp:149
#12 0x02852a8a in QEventLoop::exec (this=0xa24fa120, flags=...) at kernel/qeventloop.cpp:201
#13 0x0178a65c in Digikam::WorkerObjectRunnable::run (this=0xa8ac838) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/threadmanager.cpp:190
#14 0x02746523 in QThreadPoolThread::run (this=0xbd91060) at concurrent/qthreadpool.cpp:106
#15 0x02751df9 in QThreadPrivate::start (arg=0xbd91060) at thread/qthread_unix.cpp:266
#16 0x0064dcc9 in start_thread (arg=0xa24fab70) at pthread_create.c:304
#17 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0x9daf9b70 (LWP 18005)):
#0  0x00651796 in __pthread_mutex_unlock_usercnt (mutex=0xaaf294c, decr=1) at pthread_mutex_unlock.c:36
#1  0x055231e6 in ?? () from /lib/libglib-2.0.so.0
#2  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0288259f in QEventDispatcherGlib::processEvents (this=0xab41958, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#4  0x02852609 in QEventLoop::processEvents (this=0x9daf9120, flags=) at kernel/qeventloop.cpp:149
#5  0x02852a8a in QEventLoop::exec (this=0x9daf9120, flags=...) at kernel/qeventloop.cpp:201
#6  0x0178a65c in Digikam::WorkerObjectRunnable::run (this=0xd87ed70) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/threadmanager.cpp:190
#7  0x02746523 in QThreadPoolThread::run (this=0xb2d03b68) at concurrent/qthreadpool.cpp:106
#8  0x02751df9 in QThreadPrivate::start (arg=0xb2d03b68) at thread/qthread_unix.cpp:266
#9  0x0064dcc9 in start_thread (arg=0x9daf9b70) at pthread_create.c:304
#10 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0x9d2f8b70 (LWP 18006)):
#0  0x05522e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x05523279 in ?? () from /lib/libglib-2.0.so.0
#2  0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x0288259f in QEventDispatcherGlib::processEvents (this=0xb998d98, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#4  0x02852609 in QEventLoop::processEvents (this=0x9d2f8120, flags=) at kernel/qeventloop.cpp:149
#5  0x02852a8a in QEventLoop::exec (this=0x9d2f8120, flags=...) at kernel/qeventloop.cpp:201
#6  0x0178a65c in Digikam::WorkerObjectRunnable::run (this=0xc0e7d10) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/threads/threadmanager.cpp:190
#7  0x02746523 in QThreadPoolThread::run (this=0xbd8b9e0) at concurrent/qthreadpool.cpp:106
#8  0x02751df9 in QThreadPrivate::start (arg=0xbd8b9e0) at thread/qthread_unix.cpp:266
#9  0x0064dcc9 in start_thread (arg=0x9d2f8b70) at pthread_create.c:304
#10 0x02a5869e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb654a890 (LWP 17436)):
[KCrash Handler]
#7  Private (this=0xbfbe0894, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#8  QVariant::QVariant (this=0xbfbe0894, p=...) at kernel/qvariant.cpp:1419
#9  0x0287734f in QVariant::cmp (this=0xc6bf108, v=...) at kernel/qvariant.cpp:2853
#10 0x00c839a9 in operator== (this=0xc10bc10, infos=..., extraValues=...) at /usr/include/qt4/QtCore/qvariant.h:409
#11 Digikam::ImageModelIncrementalUpdater::appendInfos (this=0xc10bc10, infos=..., extraValues=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/models/imagemodel.cpp:888
#12 0x081c2641 in Digikam::ImageAlbumModel::slotData (this=0xc5de928, data=...) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/libs/models/imagealbummodel.cpp:364
#13 0x081c2a64 in Digikam::ImageAlbumModel::qt_metacall (this=0xc5de928, _c=QMetaObject::InvokeMetaMethod, _id=55, _a=0xbfbe0b84) at /home/chris/src/digikam/digikam-2.0.0-beta1/build/core/digikam/imagealbummodel.moc:118
#14 0x028598ca in QMetaObject::metacall (object=0xc5de928, cl=12, idx=55, argv=0xbfbe0b84) at kernel/qmetaobject.cpp:237
#15 0x0286c6ad in QMetaObject::activate (sender=0xaaf7b78, m=0x1c1cfb0, local_signal_index=0, argv=0xc0000000) at kernel/qobject.cpp:3280
#16 0x01a674c9 in KIO::TransferJob::data (this=0xaaf7b78, _t1=0xaaf7b78, _t2=...) at ./jobclasses.moc:388
#17 0x01a6a312 in KIO::TransferJob::slotData (this=0xaaf7b78, _data=...) at ../../kio/kio/job.cpp:1003
#18 0x01a6e475 in KIO::TransferJob::qt_metacall (this=0xaaf7b78, _c=QMetaObject::InvokeMetaMethod, _id=48, _a=0xbfbe0d38) at ./jobclasses.moc:368
#19 0x01a6e562 in KIO::SpecialJob::qt_metacall (this=0xaaf7b78, _c=QMetaObject::InvokeMetaMethod, _id=48, _a=0xbfbe0d38) at ./jobclasses.moc:895
#20 0x028598ca in QMetaObject::metacall (object=0xaaf7b78, cl=12, idx=48, argv=0xbfbe0d38) at kernel/qmetaobject.cpp:237
#21 0x0286c6ad in QMetaObject::activate (sender=0xb504130, m=0x1c1f944, local_signal_index=0, argv=0xc0000000) at kernel/qobject.cpp:3280
#22 0x01b290e3 in KIO::SlaveInterface::data (this=0xb504130, _t1=...) at ./slaveinterface.moc:146
#23 0x01b2c81e in KIO::SlaveInterface::dispatch (this=0xb504130, _cmd=100, rawdata=...) at ../../kio/kio/slaveinterface.cpp:163
#24 0x01b29483 in KIO::SlaveInterface::dispatch (this=0xb504130) at ../../kio/kio/slaveinterface.cpp:91
#25 0x01b1bfe8 in KIO::Slave::gotInput (this=0xb504130) at ../../kio/kio/slave.cpp:344
#26 0x01b1c1f3 in KIO::Slave::qt_metacall (this=0xb504130, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfbe102c) at ./slave.moc:82
#27 0x028598ca in QMetaObject::metacall (object=0xb504130, cl=12, idx=30, argv=0xbfbe102c) at kernel/qmetaobject.cpp:237
#28 0x0286c6ad in QMetaObject::activate (sender=0xa789010, m=0x1c1c500, local_signal_index=0, argv=0xc0000000) at kernel/qobject.cpp:3280
#29 0x01a35e17 in KIO::Connection::readyRead (this=0xa789010) at ./connection.moc:92
#30 0x01a3817e in KIO::ConnectionPrivate::dequeue (this=0xd02e8e0) at ../../kio/kio/connection.cpp:82
#31 0x01a382ae in KIO::Connection::qt_metacall (this=0xa789010, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xd5c1cf8) at ./connection.moc:79
#32 0x028598ca in QMetaObject::metacall (object=0xa789010, cl=12, idx=5, argv=0xd5c1cf8) at kernel/qmetaobject.cpp:237
#33 0x02864df6 in QMetaCallEvent::placeMetaCall (this=0xb7e9178, object=0xa789010) at kernel/qobject.cpp:534
#34 0x028666a2 in QObject::event (this=0xa789010, e=0x9) at kernel/qobject.cpp:1219
#35 0x01d52fdc in QApplicationPrivate::notify_helper (this=0x9dd7188, receiver=0xa789010, e=0xb7e9178) at kernel/qapplication.cpp:4396
#36 0x01d5904e in QApplication::notify (this=0xbfbe19fc, receiver=0xa789010, e=0xb7e9178) at kernel/qapplication.cpp:3798
#37 0x051ee68a in KApplication::notify (this=0xbfbe19fc, receiver=0xa789010, event=0xb7e9178) at ../../kdeui/kernel/kapplication.cpp:310
#38 0x02853b3b in QCoreApplication::notifyInternal (this=0xbfbe19fc, receiver=0xa789010, event=0xb7e9178) at kernel/qcoreapplication.cpp:732
#39 0x02856d8b in sendEvent (receiver=0x0, event_type=0, data=0x9da43b8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#40 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9da43b8) at kernel/qcoreapplication.cpp:1373
#41 0x02856f4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#42 0x02882a74 in sendPostedEvents (s=0x9dd9510) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#43 postEventSourceDispatch (s=0x9dd9510) at kernel/qeventdispatcher_glib.cpp:277
#44 0x0551f855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#45 0x05523668 in ?? () from /lib/libglib-2.0.so.0
#46 0x05523848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#47 0x02882565 in QEventDispatcherGlib::processEvents (this=0x9da3e80, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#48 0x01e14be5 in QGuiEventDispatcherGlib::processEvents (this=0x9da3e80, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0x02852609 in QEventLoop::processEvents (this=0xbfbe18e4, flags=) at kernel/qeventloop.cpp:149
#50 0x02852a8a in QEventLoop::exec (this=0xbfbe18e4, flags=...) at kernel/qeventloop.cpp:201
#51 0x0285700f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#52 0x01d51e07 in QApplication::exec () at kernel/qapplication.cpp:3672
#53 0x0831b8cb in main (argc=1, argv=0xbfbe1c94) at /home/chris/src/digikam/digikam-2.0.0-beta1/core/digikam/main.cpp:232

Reported using DrKonqi
Comment 1 caulier.gilles 2011-01-08 23:47:42 UTC
The crash trace is not relevant of face detection code, but something about model view implementation.

Gilles Caulier
Comment 2 Marcel Wiesweg 2011-01-11 13:18:52 UTC
Where you watching the "Unknown" people list or some other tag from the "people" sidebar in the main view while the crash occurred?
What's "the other window"?
Comment 3 unapiedra 2011-01-17 11:00:54 UTC
> Where you watching the "Unknown" people list or some other tag from the
"people" sidebar in the main view while the crash occurred? 
Yes, I was watching the "Unknown" people list. 

What's "the other window"?
> "The other window" is the one with the title "Scanning faces -- digikam", i.e. this moving status bar while digikam searches for faces. 

To make it clearer from my initial description: I had restarted scanning for faces and parallel to this I was marking people in the "unknown" people list.
Comment 4 Marcel Wiesweg 2011-01-17 15:39:12 UTC
Just to confirm that the correct ioslaves are installed: In the "People" albums, you see always only the face as thumbnail, not the full image?
Comment 5 Marcel Wiesweg 2011-01-17 16:35:53 UTC
SVN commit 1215084 by mwiesweg:

Add a small safety net here, though I'm not sure if it's necessary,
if it's the problem at all 
CCBUG: 262596


 M  +2 -1      imagemodel.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215084
Comment 6 Marcel Wiesweg 2011-01-17 16:49:44 UTC
*** Bug 262873 has been marked as a duplicate of this bug. ***
Comment 7 unapiedra 2011-01-18 13:50:08 UTC
(In reply to comment #4)
> Just to confirm that the correct ioslaves are installed: In the "People"
> albums, you see always only the face as thumbnail, not the full image?
That is correct.
Comment 8 caulier.gilles 2011-03-22 12:21:18 UTC
*** Bug 268102 has been marked as a duplicate of this bug. ***
Comment 9 caulier.gilles 2011-03-22 12:23:02 UTC
Created attachment 58247 [details]
face detection in 2.0.0-beta4

With current digiKam Software Collection implementation from Git master (beta4), face detection work fine and do not crash. Libface have been updated to 0.2.0.

Please checkout source code and try again...

Gilles Caulier
Comment 10 emiel 2011-06-27 19:08:11 UTC
Created attachment 61379 [details]
New crash information added by DrKonqi

digikam (2.0.0-beta6) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I was just tagging faces while digiKam was still searching.

-- Backtrace (Reduced):
#7  Private (this=0xbfd37c44, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#8  QVariant::QVariant (this=0xbfd37c44, p=...) at kernel/qvariant.cpp:1419
#9  0x078f2e4c in Digikam::ImageModel::data (this=0x87f0ef0, index=..., role=37) at /build/buildd/digikam2-2.0.0~beta6/core/libs/models/imagemodel.cpp:1016
#10 0x07904f81 in Digikam::ImageThumbnailModel::data (this=0x87f0ef0, index=..., role=37) at /build/buildd/digikam2-2.0.0~beta6/core/libs/models/imagethumbnailmodel.cpp:279
#11 0x078f71ad in data (this=0x89c9440, left=..., right=...) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
Comment 11 caulier.gilles 2011-06-28 04:55:54 UTC
emiel,

It's not face detection crash but something about thumbnails management. Can you test with current implementation from git master  (next 2.0.0 RC) ?

Gilles Caulier
Comment 12 caulier.gilles 2011-07-02 10:02:03 UTC
digiKam 2.0.0 RC is out. Please check if crash is reproducible with this version.

Thanks in advance

Gilles Caulier
Comment 13 caulier.gilles 2011-07-05 04:55:59 UTC
Marcel, It sound like reproducible with RC. Same backtrace from other reports (but not in my computer)

Gilles Caulier
Comment 14 caulier.gilles 2011-07-05 04:56:16 UTC
*** Bug 277099 has been marked as a duplicate of this bug. ***
Comment 15 Richard Mortimer 2011-07-12 13:14:42 UTC
Created attachment 61805 [details]
New crash information added by DrKonqi

digikam (2.0.0-rc) on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.2

- What I was doing when the application crashed:

I was manually checking/correcting & adding missing face tag squares (but not setting names to the tags at the time of the crash) to pictures in the preview screen whilst images tagging/recognition was ongoing in the background.

I think this is the same as both this bug 262596 and bug 277099 which was marked as duplicates of this.

This latest crash was after all of my libraries had been upgraded from the Maverick ones to the latest Natty philip5 ppa packages. The computer has been restarted a couple of times after the package upgrades so I am sure that there were no leftovers of the Maverick code running.

I have reproduced a similar crash twice in the last hour. I only got a stacktrace from the 2nd one though.

When I get time I will try the same test using valgrind but it is much harder to reproduce in that slow environment.

-- Backtrace (Reduced):
#7  Private (this=0xbfecc584, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#8  QVariant::QVariant (this=0xbfecc584, p=...) at kernel/qvariant.cpp:1419
#9  0xb64fca3c in Digikam::ImageModel::data (this=0x9ce0f50, index=..., role=37) at /build/buildd/digikam2-2.0.0~rc1/core/libs/models/imagemodel.cpp:1016
#10 0xb650eb71 in Digikam::ImageThumbnailModel::data (this=0x9ce0f50, index=..., role=37) at /build/buildd/digikam2-2.0.0~rc1/core/libs/models/imagethumbnailmodel.cpp:279
#11 0xb6500d9d in data (this=0x9ce8a40, left=..., right=...) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
Comment 16 Joshua Hopp 2011-07-20 13:45:16 UTC
Created attachment 62018 [details]
New crash information added by DrKonqi

digikam (2.0.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Run face detection. Aborted. Started face detection again. Meanwhile, I added Tags manually to faces marked "unknown" and deleted results with no real faces. Then it crashed.

-- Backtrace (Reduced):
#11 0x00007fda8a163f57 in QList<QVariant>::operator[] (this=0x2c09e48, i=219) at /usr/include/qt4/QtCore/qlist.h:464
#12 0x00007fda8a246688 in Digikam::ImageModel::data (this=0x2be68a0, index=..., role=37) at /home/joshua/pakete/digikam/digikam-sc/core/libs/models/imagemodel.cpp:1078
#13 0x00007fda8a25d0db in Digikam::ImageThumbnailModel::data (this=0x2be68a0, index=..., role=37) at /home/joshua/pakete/digikam/digikam-sc/core/libs/models/imagethumbnailmodel.cpp:279
#14 0x00007fda8a226987 in QModelIndex::data (this=0x7fffa8c1b590, arole=37) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
#15 0x00007fda8a25112e in Digikam::ImageFilterModel::subSortLessThan (this=0x2bc0e00, left=..., right=...) at /home/joshua/pakete/digikam/digikam-sc/core/libs/models/imagefiltermodel.cpp:1054
Comment 17 Hatl 2011-08-01 12:47:00 UTC
Created attachment 62421 [details]
New crash information added by DrKonqi

digikam (2.0.0) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

same problem here
editing tags while running face reckognition

-- Backtrace (Reduced):
#6  Private (this=0x7fff7555f820, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#7  QVariant::QVariant (this=0x7fff7555f820, p=...) at kernel/qvariant.cpp:1419
#8  0x00007fb17cfbabf9 in Digikam::ImageModel::data(QModelIndex const&, int) const () from /usr/lib/libdigikamdatabase.so.2
#9  0x00007fb17cfcbf0e in Digikam::ImageThumbnailModel::data(QModelIndex const&, int) const () from /usr/lib/libdigikamdatabase.so.2
#10 0x00007fb17cfbf27d in Digikam::ImageFilterModel::subSortLessThan(QModelIndex const&, QModelIndex const&) const () from /usr/lib/libdigikamdatabase.so.2
Comment 18 Lars Karlsson 2011-08-05 09:19:06 UTC
Created attachment 62566 [details]
New crash information added by DrKonqi

digikam (2.0.0) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

Reproducable in digikam 2.0.0 stable release. Also occurs when naming and adding tags while viewing the "full image" (i.e. not just the face thumbnail). Face detection was running in the background when crash occured.

-- Backtrace (Reduced):
#8  QVariant::QVariant (this=0xbf852594, p=...) at kernel/qvariant.cpp:1422
#9  0xb4a9b00f in QVariant::cmp (this=0xc9fd290, v=...) at kernel/qvariant.cpp:2853
#10 0xb4aa143b in operator== (this=0xc9fd2a0, l=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:409
#11 QList<QVariant>::operator== (this=0xc9fd2a0, l=...) at ../../include/QtCore/../../src/corelib/tools/qlist.h:732
#12 0xb4a9c0ec in compare (a=0xc9fd2a0, b=0xbf8526b4) at kernel/qvariant.cpp:380
Comment 19 Lars Karlsson 2011-08-05 11:41:20 UTC
After some tests I'm beginning to see a pattern on this crash that might be helpful.

It seems more related to tagging than the face detection scanning. Here are the tested situations and their results.

Case 1: Run Digikam and start face recognition scanning. While the scanning is in progress, tag some photos = Crash

Case 2: Run Digikam and start tagging faces (in this case I manually add "tag boxes" around untagged faces rather than using face recognition-proposals). Start the face recognition scanning = Crash (notice that the crash does NOT occur until the face scan step)

Case 3: Run Digikam and start scanning for faces. Abort the scan and start tagging faces = Crash

This may explain why bug reports don't contain face recognition code. There seem to be a bug manifesting itself only when face recognition-scanning and tagging happens in the same session.

Hope this helps. It's a very annoying bug, so would be glad to have it fixed as soon as possible.
Comment 20 caulier.gilles 2011-08-05 11:49:27 UTC
I tried to reproduce the crash on my computer, and i cannot. The question is : why ? What's the difference...

Gilles Caulier
Comment 21 wookashs 2011-08-09 17:59:44 UTC
Created attachment 62706 [details]
New crash information added by DrKonqi

digikam (2.0.0) on KDE Platform 4.7.00 (4.7.0) using Qt 4.7.2

- What I was doing when the application crashed:

I've run scan faces, then stopped scanning. After a while I've run scan faces once more time, after that application crashed.

-- Backtrace (Reduced):
#6  Private (this=0x7fff20412380, p=...) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#7  QVariant::QVariant (this=0x7fff20412380, p=...) at kernel/qvariant.cpp:1419
#8  0x00007f778e516bf9 in Digikam::ImageModel::data (this=0x290aca0, index=<value optimized out>, role=<value optimized out>) at /build/buildd/digikam2-2.0.0/core/libs/models/imagemodel.cpp:1078
#9  0x00007f778e527f0e in Digikam::ImageThumbnailModel::data (this=0x290aca0, index=<value optimized out>, role=<value optimized out>) at /build/buildd/digikam2-2.0.0/core/libs/models/imagethumbnailmodel.cpp:279
#10 0x00007f778e51b257 in data (this=0x2c9b4e0, left=..., right=...) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
Comment 22 Jaime Torres 2011-11-01 21:34:30 UTC
Created attachment 65131 [details]
New crash information added by DrKonqi

digikam (2.2.0) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

Playing with face recognition, tagging manually an image with a face not marked.

-- Backtrace (Reduced):
#11 0x00007feac87867cb in qt_assert_x (where=0x7feacd2b683b "QList<T>::at", what=0x7feacd2cc4da "index out of range", file=0x7feacd2b40d0 "/usr/lib/qt4.5/include/QtCore/qlist.h", line=456) at /g/kdegit/qt/src/corelib/global/qglobal.cpp:2044
#12 0x00007feacd1ae46f in QList<QVariant>::at (this=0x7feab2434f88, i=34) at /usr/lib/qt4.5/include/QtCore/qlist.h:456
#13 0x00007feacd25ad8b in Digikam::ImageModel::data (this=0x7feab2611b80, index=..., role=37) at /g/kdegit/extragear/graphics/digikam/libs/models/imagemodel.cpp:1101
#14 0x00007feacd26d4c3 in Digikam::ImageThumbnailModel::data (this=0x7feab2611b80, index=<optimized out>, role=<optimized out>) at /g/kdegit/extragear/graphics/digikam/libs/models/imagethumbnailmodel.cpp:261
#15 0x00007feacd243e9a in QModelIndex::data (this=<optimized out>, arole=<optimized out>) at /usr/lib/qt4.5/include/QtCore/qabstractitemmodel.h:398
Comment 23 caulier.gilles 2011-11-03 12:41:58 UTC
digiKam 2.2.0 is out since few weeks. Crash still valid with this version ?

Gilles Caulier
Comment 24 Jaime Torres 2011-11-03 15:17:33 UTC
The crash is still valid for me with last week git pull, compiled in 64 bits.
I forgot to mention... The scan for faces worked fine for the newest photos, some false positives but this is normal. With the faces panel opened (it's funny to see only expresions from your photos :-) ) and already opened in the central view a photo with two faces, I manually added the one that was not found, and crash.
I hope this information makes this bug reproducible, therefore more easy to fix.
Comment 25 toto 2011-11-04 18:29:00 UTC
Created attachment 65244 [details]
New crash information added by DrKonqi

digikam (2.1.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
I was editing the picture tag, confirmed the tag and the software crashed

-- Backtrace (Reduced):
#7  Private (other=..., this=0xbf8f67a8) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#8  QVariant::QVariant (this=0xbf8f67a8, p=...) at kernel/qvariant.cpp:1419
#9  0x041c1e8a in Digikam::ImageModel::data(QModelIndex const&, int) const () from /usr/lib/libdigikamdatabase.so.2
#10 0x041d6bb9 in Digikam::ImageThumbnailModel::data(QModelIndex const&, int) const () from /usr/lib/libdigikamdatabase.so.2
#11 0x041c7ac1 in Digikam::ImageFilterModel::subSortLessThan(QModelIndex const&, QModelIndex const&) const () from /usr/lib/libdigikamdatabase.so.2
Comment 26 caulier.gilles 2011-11-09 08:44:34 UTC
*** Bug 286071 has been marked as a duplicate of this bug. ***
Comment 27 caulier.gilles 2011-12-14 13:39:47 UTC
unapiedra,

Can you reproduce the crash using digiKam 2.4 ?

Gilles Caulier
Comment 28 Prasad Murthy 2011-12-17 09:28:44 UTC
Created attachment 66830 [details]
New crash information added by DrKonqi

digikam (2.4.1) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:
I was using face recognition feature in digikam and every settings is default except the accuracy percentage setting which i set to 20% and scanning images, i have noticed that it crashes when the setting is changed from the default(80%) to any value. I also suspect that it crashes for a certain images. 

- Custom settings of the application:
face recognition percentage settings anything except default 80%

-- Backtrace (Reduced):
#6  Private (other=..., this=0x7ffffd790ee0) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#7  QVariant::QVariant (this=0x7ffffd790ee0, p=...) at kernel/qvariant.cpp:1419
#8  0x00007f38d1208362 in Digikam::ImageModel::data (this=0x22d2ab0, index=<optimized out>, role=<optimized out>) at /build/buildd/digikam-2.4.1/core/libs/models/imagemodel.cpp:1101
#9  0x00007f38d121b0ee in Digikam::ImageThumbnailModel::data (this=0x22d2ab0, index=<optimized out>, role=<optimized out>) at /build/buildd/digikam-2.4.1/core/libs/models/imagethumbnailmodel.cpp:261
#10 0x00007f38d120d57e in data (arole=37, this=0x7ffffd7910a0) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
Comment 29 Daniel Schaal 2012-01-06 10:02:46 UTC
Created attachment 67503 [details]
Crash Information from digikam 2.5.0

I can reproduce this crash using digikam 2.5.0 on KDE 4.7.4 and Qt 4.8.0.
Comment 30 caulier.gilles 2012-01-07 16:45:12 UTC
*** Bug 290891 has been marked as a duplicate of this bug. ***
Comment 31 John Stumbles 2012-01-31 00:01:00 UTC
Created attachment 68355 [details]
New crash information added by DrKonqi

digikam (2.1.1) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

scanning for faces on a few directories out of my collection of pictures, also browsing faces in albums; 
I note that usually when digikam crashes it failes to start the bug reporting application (DrKonqi):

pure virtual method called
terminate called without an active exception
Unable to start Dr. Konqi

This was one of the few times it did.

I find that if I only scan a few directories at a time dk usually succeds (i.e. doesn't crash) - but since some dirs contain many more photos than others this doesn't always work :-(

-- Backtrace (Reduced):
#7  Private (other=..., this=0xbf939104) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:360
#8  QVariant::QVariant (this=0xbf939104, p=...) at kernel/qvariant.cpp:1419
#9  0xb6823e8a in Digikam::ImageModel::data (this=0x8ef84d0, index=..., role=37) at /build/buildd/digikam-2.1.1/core/libs/models/imagemodel.cpp:1078
#10 0xb6838bb9 in Digikam::ImageThumbnailModel::data (this=0x8ef84d0, index=..., role=-13549553) at /build/buildd/digikam-2.1.1/core/libs/models/imagethumbnailmodel.cpp:279
#11 0xb6829a97 in data (arole=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qabstractitemmodel.h:398
Comment 32 caulier.gilles 2012-01-31 08:03:48 UTC
John,

Definitively, you need to test with 2.5.0 release, not 2.1.1...

Best

Gilles Caulier
Comment 33 John Stumbles 2012-02-02 23:33:57 UTC
I've now tried it in 2.5.0 on kde 4.7.4 and it still crashes on 'scan collection for faces', with error message to console:

pure virtual method called
terminate called without an active exception
Unable to start Dr. Konqi
Unable to start Dr. Konqi
Comment 34 Michael 2012-02-18 16:57:37 UTC
Created attachment 68906 [details]
New crash information added by DrKonqi

digikam (2.5.0) on KDE Platform 4.8.00 (4.8.0 using Qt 4.8.0

- What I was doing when the application crashed:
running face recognition for the first time on a database - crash after about 25%

-- Backtrace (Reduced):
#7  Private (other=..., this=0xbffa18d8) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:356
#8  QVariant::QVariant (this=0xbffa18d8, p=...) at kernel/qvariant.cpp:1411
#9  0xb66afeb6 in Digikam::ImageModel::data (this=0x9012f20, index=..., role=37) at /build/buildd/digikam-2.5.0/core/libs/models/imagemodel.cpp:1101
#10 0xb66c5377 in Digikam::ImageThumbnailModel::data (this=0x9012f20, index=..., role=0) at /build/buildd/digikam-2.5.0/core/libs/models/imagethumbnailmodel.cpp:261
#11 0xb66b59f1 in data (arole=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
Comment 35 caulier.gilles 2012-04-30 05:52:46 UTC
*** Bug 299066 has been marked as a duplicate of this bug. ***
Comment 36 Smit Mehta 2012-05-01 16:07:15 UTC
*** Bug 299173 has been marked as a duplicate of this bug. ***
Comment 37 caulier.gilles 2012-05-22 11:12:03 UTC
*** Bug 300446 has been marked as a duplicate of this bug. ***
Comment 38 Pkoper 2012-05-23 01:57:02 UTC
Created attachment 71305 [details]
New crash information added by DrKonqi

digikam (2.2.0) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

- What I was doing when the application crashed:
Taging faces........................

-- Backtrace (Reduced):
#6  QVariant::~QVariant (this=0x102009e0000658c, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f77582f0f68 in node_destruct (n=0x433d678, this=<optimized out>) at /usr/include/QtCore/qlist.h:375
#8  erase (alast=<optimized out>, afirst=<optimized out>, this=0xd5f4a8) at /usr/include/QtCore/qlist.h:792
#9  Digikam::ImageModel::removeRowPairs (this=0xd5ca50, toRemove=...) at /usr/src/debug/digikam-2.2.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f77582f2aad in Digikam::ImageModel::finishIncrementalRefresh (this=0xd5ca50) at /usr/src/debug/digikam-2.2.0/core/libs/models/imagemodel.cpp:720
Comment 39 jm.bourgit 2012-06-16 08:02:26 UTC
Created attachment 71866 [details]
New crash information added by DrKonqi

digikam (2.6.0) on KDE Platform 4.8.3 (4.8.3) using Qt 4.8.1

I launched the face recognation on few album, and the progam crash

-- Backtrace (Reduced):
#6  Private (other=..., this=0x7fff45562dc0) at ../../include/QtCore/../../src/corelib/kernel/qvariant.h:356
#7  QVariant::QVariant (this=0x7fff45562dc0, p=...) at kernel/qvariant.cpp:1411
#8  0x00007f96924f7712 in Digikam::ImageModel::data (this=0x16822e0, index=..., role=<optimized out>) at /build/buildd/digikam-2.6.0/core/libs/models/imagemodel.cpp:1101
#9  0x00007f969250a6ce in Digikam::ImageThumbnailModel::data (this=0x16822e0, index=..., role=<optimized out>) at /build/buildd/digikam-2.6.0/core/libs/models/imagethumbnailmodel.cpp:243
#10 0x00007f96924fc7fe in data (arole=37, this=0x7fff45562f60) at /usr/include/qt4/QtCore/qabstractitemmodel.h:402
Comment 40 caulier.gilles 2012-06-22 08:49:34 UTC
Official digiKam 2.6.0 release is out since few days now :

http://www.digikam.org/drupal/node/656

Please, check if this entry still valid, or update report accordingly.

Thanks in advance.

Gilles Caulier
Comment 41 Daniel Schaal 2013-07-05 15:33:41 UTC
Can't reproduce this anymore with digikam 3.1.0 on KDE 4.10.4
Comment 42 caulier.gilles 2013-07-05 15:38:55 UTC
Any other people can give feedback as Daniel from #41 ?

Thanks in advance

Gilles Caulier
Comment 43 Jaime Torres 2013-07-05 22:20:26 UTC
Aparently is not crashing.
Running Versión 3.3.0-beta3.
Comment 44 caulier.gilles 2013-07-06 13:41:52 UTC
*** Bug 322022 has been marked as a duplicate of this bug. ***
Comment 45 Dima 2013-08-15 06:31:33 UTC
Created attachment 81716 [details]
New crash information added by DrKonqi

digikam (3.3.0) on KDE Platform 4.10.5 using Qt 4.8.3

- What I was doing when the application crashed:
I was marking ALREADY scanned faces, alt-tabbed to other application, got crash in 5-7 seconds multiply times. I use LXDE.
I use linux mint 14, with ppa kubuntu-backports-beta. 

Same info in Russian (my native language):
Я помечал УЖЕ отсканированные лица, переключался на другие приложения, digikam падал через 5-7 секунд несколько раз.Может быть это из-за 2000 найденных лиц :)
 Используется LXDE. 
Я использую linux mint 14, кде установлено из ппа kubuntu-backports-beta.

-- Backtrace (Reduced):
#7  QVariant::~QVariant (this=0x31002200, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#8  0xb66cdc36 in node_destruct (n=<optimized out>, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:388
#9  erase (alast=..., afirst=..., this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:811
#10 Digikam::ImageModel::removeRowPairs (this=0x8bd89c0, toRemove=...) at /build/buildd/digikam-3.3.0/core/libs/models/imagemodel.cpp:1025
#11 0xb66d00af in Digikam::ImageModel::finishIncrementalRefresh (this=0x8bd89c0) at /build/buildd/digikam-3.3.0/core/libs/models/imagemodel.cpp:844
Comment 46 caulier.gilles 2013-08-17 21:32:29 UTC
*** Bug 323654 has been marked as a duplicate of this bug. ***
Comment 47 caulier.gilles 2013-08-25 05:56:25 UTC
*** Bug 323964 has been marked as a duplicate of this bug. ***
Comment 48 caulier.gilles 2013-08-27 07:11:08 UTC
*** Bug 324093 has been marked as a duplicate of this bug. ***
Comment 49 caulier.gilles 2013-09-28 11:26:45 UTC
*** Bug 325385 has been marked as a duplicate of this bug. ***
Comment 50 caulier.gilles 2013-10-05 09:19:14 UTC
*** Bug 325526 has been marked as a duplicate of this bug. ***
Comment 51 caulier.gilles 2013-12-04 08:40:27 UTC
*** Bug 328413 has been marked as a duplicate of this bug. ***
Comment 52 Christian Gottschall 2013-12-23 17:06:38 UTC
Created attachment 84247 [details]
New crash information added by DrKonqi

digikam (3.5.0) on KDE Platform 4.11.3 using Qt 4.8.5

- What I was doing when the application crashed:

Manually changing face tags in pictures, e.g. changing a picture where a person has been erroneously tagged as "Alice" to the proper tag "Bob".

It suffices to change only one tag in only one picture. After some twenty seconds, Digikam starts eating up memory. Without any ulimit set, this will make the computer completely unresponsive *until* it runs out of memory, and Digikam gets killed/SIGSEGVed by the OS.

When setting an appropriate ulimit, Digikam crashes equally well, but at least the computer stays responsive. :-/

- Unusual behavior I noticed:

Whenever I manually change a face tag in a picture, some ten or twenty seconds later Digikam starts eating up all the virtual memory of the computer.

-- Backtrace (Reduced):
#11 0x00007f4f0fd712d2 in QThreadPoolThread::run (this=0x4c29450) at concurrent/qthreadpool.cpp:114
#12 0x00007f4f0fd7d68f in QThreadPrivate::start (arg=0x4c29450) at thread/qthread_unix.cpp:338
[...]
Comment 53 Marcel Wiesweg 2013-12-25 12:44:32 UTC
Git commit 98a3ddb180e320c5ae3fe501788c38d6c8ae4908 by Marcel Wiesweg.
Committed on 25/12/2013 at 12:23.
Pushed by mwiesweg into branch 'master'.

Fix infamous big face scanning crash: Re-sending a package in the ImageFilterModel discarded the extraValues,
resulting in a mismatch in the size of infos and extraValues lists in ImageModel
Related: bug 278049, bug 279996

M  +17   -12   libs/models/imagefiltermodel.cpp
M  +1    -2    libs/models/imagefiltermodelpriv.h
M  +2    -0    libs/models/imagemodel.cpp

http://commits.kde.org/digikam/98a3ddb180e320c5ae3fe501788c38d6c8ae4908
Comment 54 caulier.gilles 2014-06-14 21:58:55 UTC
*** Bug 336236 has been marked as a duplicate of this bug. ***
Comment 55 caulier.gilles 2014-06-24 13:30:29 UTC
*** Bug 308645 has been marked as a duplicate of this bug. ***